Update a Devices alert

Updates an existing Devices alert. Only sent parameters are changed.

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.

uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of the Devices alert to update. You can use List all alerts to get alert IDs.

Body Params

Updated Devices alert configuration details

Updated Devices alert configuration details

integrations
object

Integrations with third-party software.

selfServiceNotification
object

ControlUp Connect / end-user self-service notification settings.

tags
array of strings

List of device tags to filter which devices can trigger this alert.
If empty or omitted, the alert applies to all devices.
If set, the alert triggers only for devices that have at least one matching tag.

tags
notifications
object

Notifications to send when the alert triggers.

actions
object

Followup actions to run on devices that trigger the alert.

double

The minimum duration between subsequent alert activations.
If the retrigger interval duration has not passed since the last alert activation, then the alert won't activate even if all conditions are met.

double

The time window in seconds for the hitsNumber parameter.

double

The number of times that the alert conditions (metrics) must be met within the specified time window (hitsTimeWindowSeconds) for the alert to trigger.

metrics
array of objects

List of conditions that must be met for the alert to trigger. Multiple conditions are combined with AND operators.

metrics
string

The data index used for the alert. The alert conditions in the metrics object must be based on fields within this data index.
You can use List all data indices to get a list of indices, and Get a data index to see the data within an index.

number
enum

OS platform for followup action script execution. Scripts configured in the actions object must match the platform in this parameter.
Note that this parameter does not control which devices can trigger the alert.
If you don't want the alert to trigger a script, you can set this to 0.
(0 - No platform selected, 1 - Windows, 2 - macOS, 3 - Linux, 4 - ChromeOS)

Allowed:
boolean

Whether the alert is enabled.

string
enum

The alert's severity level.

Allowed:
string

The alert's description.

string

The alert's name.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json